// Much:中奖翻倍, FirstRate:首次几率（10000）, DefaultRate:默认几率(10000)

export default class M_RechangeLotteryCFG {
  private static data =
      {"1":{"Much":1,"FirstRate":0,"DefaultRate":0}

      ,"2":{"Much":2,"FirstRate":10000,"DefaultRate":10000}

      ,"3":{"Much":3,"FirstRate":7700,"DefaultRate":3300}

      ,"4":{"Much":4,"FirstRate":0,"DefaultRate":2500}

      ,"5":{"Much":5,"FirstRate":1100,"DefaultRate":1800}

      ,"6":{"Much":6,"FirstRate":0,"DefaultRate":1200}

      ,"7":{"Much":7,"FirstRate":400,"DefaultRate":700}

      ,"8":{"Much":8,"FirstRate":0,"DefaultRate":300}

      ,"9":{"Much":9,"FirstRate":0,"DefaultRate":200}

      ,"10":{"Much":10,"FirstRate":0,"DefaultRate":100}

      }// Much:中奖翻倍, FirstRate:首次几率（10000）, DefaultRate:默认几率(10000)


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}